/*
 * Copyright (c) 2016-2017 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { Component, ContentChildren } from "@angular/core";
import { HideableColumnService } from "./providers/hideable-column.service";
import { Signpost } from "../../popover/signpost/signpost";
var DatagridCell = (function () {
    function DatagridCell(hideableColumnService) {
        this.hideableColumnService = hideableColumnService;
    }
    Object.defineProperty(DatagridCell.prototype, "hidden", {
        /**
         * @property hidden
         *
         * @description
         * Property used to apply a css class to this cell that hides it when hidden = true.
         *
         * @type {boolean}
         */
        get: function () {
            var column = this.hideableColumnService.getColumnById(this.id);
            return (column) ? column.hidden : false;
        },
        enumerable: true,
        configurable: true
    });
    return DatagridCell;
}());
export { DatagridCell };
DatagridCell.decorators = [
    { type: Component, args: [{
                selector: "clr-dg-cell",
                template: "\n        <ng-content></ng-content>\n    ",
                host: {
                    "[class.datagrid-cell]": "true",
                    "[class.datagrid-cell--hidden]": "hidden",
                    "[class.datagrid-signpost-trigger]": "signpost.length > 0"
                }
            },] },
];
/** @nocollapse */
DatagridCell.ctorParameters = function () { return [
    { type: HideableColumnService, },
]; };
DatagridCell.propDecorators = {
    'signpost': [{ type: ContentChildren, args: [Signpost,] },],
};
//# sourceMappingURL=datagrid-cell.js.map