/*
 * Copyright (c) 2016-2017 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { Component } from "@angular/core";
import { AlertIconAndTypesService } from "./providers/icon-and-types-service";
var AlertItem = (function () {
    function AlertItem(iconService) {
        this.iconService = iconService;
    }
    return AlertItem;
}());
export { AlertItem };
AlertItem.decorators = [
    { type: Component, args: [{
                // the .alert-item selector is deprecated; the :not clause is to allow us to use static
                // examples in demos on the demo-app and website
                selector: ".alert-item:not(.static), clr-alert-item",
                template: "\n        <div class=\"alert-icon-wrapper\">\n            <clr-icon class=\"alert-icon\" [attr.shape]=\"iconService.alertIconShape\"></clr-icon>\n        </div>\n        <ng-content></ng-content>\n    ",
                host: {
                    "class": "alert-item"
                }
            },] },
];
/** @nocollapse */
AlertItem.ctorParameters = function () { return [
    { type: AlertIconAndTypesService, },
]; };
//# sourceMappingURL=alert-item.js.map