/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { Component, Inject, Input, ViewChild } from "@angular/core";
import { IF_ACTIVE_ID, IfActiveService } from "../../utils/conditional/if-active.service";
var nbTabContentComponents = 0;
var TabContent = (function () {
    function TabContent(ifActiveService, id) {
        this.ifActiveService = ifActiveService;
        this.id = id;
        this.tabContentId = "clr-tab-content-" + (nbTabContentComponents++);
    }
    Object.defineProperty(TabContent.prototype, "active", {
        get: function () {
            return this.ifActiveService.current === this.id;
        },
        enumerable: true,
        configurable: true
    });
    return TabContent;
}());
export { TabContent };
TabContent.decorators = [
    { type: Component, args: [{
                selector: "clr-tab-content",
                template: "\n        <ng-template #tabContentProjectedRef>\n            <section [id]=\"tabContentId\" role=\"tabpanel\" [class.active]=\"active\" \n                     [attr.aria-labelledby]=\"ariaLabelledBy\"\n                     [attr.aria-hidden]=\"!active\" [attr.data-hidden]=\"!active\">\n                <ng-content></ng-content>\n            </section>\n        </ng-template>\n    "
            },] },
];
/** @nocollapse */
TabContent.ctorParameters = function () { return [
    { type: IfActiveService, },
    { type: undefined, decorators: [{ type: Inject, args: [IF_ACTIVE_ID,] },] },
]; };
TabContent.propDecorators = {
    'tabContentId': [{ type: Input, args: ["clrTabContentId",] },],
    'templateRef': [{ type: ViewChild, args: ["tabContentProjectedRef",] },],
};
//# sourceMappingURL=tab-content.js.map