/*
 * Copyright (c) 2017 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { Directive, HostListener, Inject, Input } from "@angular/core";
import { IF_ACTIVE_ID, IfActiveService } from "../../utils/conditional/if-active.service";
var nbTabLinkComponents = 0;
var TabLinkDirective = (function () {
    function TabLinkDirective(ifActiveService, id) {
        this.ifActiveService = ifActiveService;
        this.id = id;
        this.tabLinkId = "clr-tab-link-" + (nbTabLinkComponents++);
    }
    TabLinkDirective.prototype.activate = function () {
        this.ifActiveService.current = this.id;
    };
    Object.defineProperty(TabLinkDirective.prototype, "active", {
        get: function () {
            return this.ifActiveService.current === this.id;
        },
        enumerable: true,
        configurable: true
    });
    return TabLinkDirective;
}());
export { TabLinkDirective };
TabLinkDirective.decorators = [
    { type: Directive, args: [{
                selector: "[clrTabLink]",
                host: {
                    "[id]": "tabLinkId",
                    "[attr.aria-selected]": "active",
                    "[attr.aria-controls]": "ariaControls",
                    "role": "presentation",
                    "[class.btn]": "true",
                    "[class.btn-link]": "true",
                    "[class.nav-link]": "true",
                    "[class.nav-item]": "true",
                    "[class.active]": "active"
                }
            },] },
];
/** @nocollapse */
TabLinkDirective.ctorParameters = function () { return [
    { type: IfActiveService, },
    { type: undefined, decorators: [{ type: Inject, args: [IF_ACTIVE_ID,] },] },
]; };
TabLinkDirective.propDecorators = {
    'tabLinkId': [{ type: Input, args: ["clrTabLinkId",] },],
    'activate': [{ type: HostListener, args: ["click",] },],
};
//# sourceMappingURL=tab-link.directive.js.map