/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { Component } from "@angular/core";
import { IfActiveService } from "../../utils/conditional/if-active.service";
import { TabsService } from "./tabs-service";
// TODO: find a better way to separately render the tab contents (i.e. not inside the ul)
var Tabs = (function () {
    function Tabs(ifActiveService, tabsService) {
        this.ifActiveService = ifActiveService;
        this.tabsService = tabsService;
    }
    Object.defineProperty(Tabs.prototype, "activeTab", {
        get: function () {
            var activeTab;
            if (this.tabsService.children.length > 0) {
                activeTab = this.tabsService.children.find(function (tab) {
                    return tab.active;
                });
            }
            return activeTab;
        },
        enumerable: true,
        configurable: true
    });
    return Tabs;
}());
export { Tabs };
Tabs.decorators = [
    { type: Component, args: [{
                selector: "clr-tabs",
                template: "\n        <ul class=\"nav\" role=\"tablist\">\n            <ng-content select=\"clr-tab\"></ng-content>\n        </ul>\n        <ng-container *ngFor=\"let tab of tabsService.children\">\n            <ng-template *ngIf=\"tab.tabContent\" [ngTemplateOutlet]=\"tab.tabContent.templateRef\"></ng-template>\n        </ng-container>\n    ",
                providers: [IfActiveService, TabsService]
            },] },
];
/** @nocollapse */
Tabs.ctorParameters = function () { return [
    { type: IfActiveService, },
    { type: TabsService, },
]; };
//# sourceMappingURL=tabs.js.map