/*
 * Copyright (c) 2016 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { Directive, HostListener } from "@angular/core";
import { IfOpenService } from "../../utils/conditional/if-open.service";
var TooltipTrigger = (function () {
    function TooltipTrigger(ifOpenService) {
        this.ifOpenService = ifOpenService;
    }
    TooltipTrigger.prototype.showTooltip = function () {
        this.ifOpenService.open = true;
    };
    TooltipTrigger.prototype.hideTooltip = function () {
        this.ifOpenService.open = false;
    };
    return TooltipTrigger;
}());
export { TooltipTrigger };
TooltipTrigger.decorators = [
    { type: Directive, args: [{ selector: "[clrTooltipTrigger]", host: { "[attr.tabindex]": "0" } },] },
];
/** @nocollapse */
TooltipTrigger.ctorParameters = function () { return [
    { type: IfOpenService, },
]; };
TooltipTrigger.propDecorators = {
    'showTooltip': [{ type: HostListener, args: ["mouseenter",] }, { type: HostListener, args: ["focus",] },],
    'hideTooltip': [{ type: HostListener, args: ["mouseleave",] }, { type: HostListener, args: ["blur",] },],
};
//# sourceMappingURL=tooltip-trigger.js.map