/*
 * Copyright (c) 2017 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
import { Directive, HostListener, ElementRef } from "@angular/core";
var FocusTrapDirective = (function () {
    function FocusTrapDirective(elementRef) {
        this.elementRef = elementRef;
    }
    FocusTrapDirective.prototype.onFocusIn = function (event) {
        var nativeElement = this.elementRef.nativeElement;
        if (!nativeElement.contains(event.target)) {
            nativeElement.focus();
        }
    };
    FocusTrapDirective.prototype.ngAfterViewInit = function () {
        var nativeElement = this.elementRef.nativeElement;
        nativeElement.setAttribute("tabindex", "0");
    };
    return FocusTrapDirective;
}());
export { FocusTrapDirective };
FocusTrapDirective.decorators = [
    { type: Directive, args: [{
                selector: "[clrFocusTrap]"
            },] },
];
/** @nocollapse */
FocusTrapDirective.ctorParameters = function () { return [
    { type: ElementRef, },
]; };
FocusTrapDirective.propDecorators = {
    'onFocusIn': [{ type: HostListener, args: ["document:focusin", ["$event"],] },],
};
//# sourceMappingURL=focus-trap.directive.js.map